%define prefix /usr
%define name connectagram
%define version 1.2.5
%define release %mkrel 1
%define url http://gottcode.org/connectagram/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv3
Group:		Games/Puzzles
URL:		%{url}
Source:		http://gottcode.org/connectagram/%{name}-%{version}-src.tar.xz
Summary:	Connectagram is a word unscrambling game
Summary(de):	Connectagram ist ein Worträtselspiel
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	qt5core-devel
BuildRequires:	qt5gui-devel
BuildRequires:	%{_lib}qt5base5-devel
BuildRequires:  %{_lib}qt5svg-devel
Obsoletes:	%name < %version

%description
The board consists of several scrambled words that are joined together. You can choose the length of the words, the amount of words, and the pattern that the words are arranged in. The game provides a hint option for times when you are stuck, and features an online word lookup that fetches the definitions of each word from Wiktionary. Your current progress is automatically saved.


#german
%description -l de
Connectagram ist ein Wörter-Ratespiel. Das Brett besteht aus mehreren kodierten Wörtern, die zusammengefügt sind. Man kann die Anzahl und Länge der Wörter sowie ihre Anordnung vorgeben. Es gibt die Möglichkeit, Hinweise zu erhalten, wenn man nicht mehr weiterkommt. Die Online-Nachschlagefunktion holt die Defintion jedes Wortes von Wiktionary. 


%prep

%setup -q -n %{name}-%{version}

%build

qmake PREFIX=%{prefix}

%make

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}


mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Connectagram
GenericName=Connectagram Game
GenericName[de]=Connectagram Spiel
Comment=%{summary}
Comment[de]=%{summary}
Icon=%{name}
Exec=%{name} %F
Terminal=false
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF


%post
%{update_desktop_database}


%postun
%{clean_desktop_database}

%files
%defattr(-,root,root)
%doc COPYING ChangeLog 
%{_bindir}/%{name}
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/translations/%{name}_*.qm
%{_datadir}/%{name}/data/*/words
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man*/%{name}.*.bz2


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Sep 30 2017 ghostbunny <ghostbunny at gmx dot de> 1.2.5-1pclos2017
- 1.2.5

* Fri Oct 21 2016 daniel <meisssw01 at gmail.com> 1.2.4-1pclos2016
- initial packages
